using Brizco.Domain.CommandQueries.Queries;

namespace Brizco.Core.EntityServices;

public class ShiftPlanService : IShiftPlanService
{
    private readonly ISender _sender;

    public ShiftPlanService(ISender sender)
    {
        _sender = sender;
    }
    public async Task ChangeShiftPlanTaskStatusAsync(Guid shiftPlanId, bool isChangeToShift, bool isDisable)
    {
        var shiftPlan = await _sender.Send(new GetShiftPlanQuery(shiftPlanId));

    }
}